<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();
			
			$productos = $ges->get_productos_almacen();
			$series = $ges->get_series_stock();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/devolucion_empresa.phtml");
				
			}

			if(isset($_POST['DEVOLVER'])){

				$i = 0;
				$z = 0;
				foreach ($_POST['sku'] as $val){

					if(empty($_POST['serie'][$i]) || !isset($_POST['serie'][$i]) || $_POST['serie'][$i] == '' || $_POST['serie'][$i] == ' ' || $_POST['serie'][$i] == '0'){
						$serie = '';
					}else{
						$serie = $_POST['serie'][$i];
					}
					if($_POST['devolver_disponible'][$i] > 0 || $_POST['devolver_malogrado'][$i] > 0  || $_POST['devolver_merma'][$i] > 0){
						$resultado_final = $ges->update_stock_almacen($_POST['sku'][$i],intval($_POST['disponible'][$i]),intval($_POST['devolver_disponible'][$i]),intval($_POST['malogrado'][$i]),intval($_POST['devolver_malogrado'][$i]),intval($_POST['merma'][$i]),intval($_POST['disponible'][$i]),intval($_POST['devolver_merma'][$i]),$serie);
						$z++;
					}

					$i = $i + 1;

				}

				
				if($z == 0){
					echo'<script type="text/javascript">alert("No has seleccionado ningun producto");window.location.href="devolucion_empresa.php";</script>';
				}else{
					echo'<script type="text/javascript">alert("SE DEVOLVIÓ CORRECTAMENTE");window.location.href="devolucion_empresa.php";</script>';
				}
			} 


?>